package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class StokProdukDetail
 * 
 * @author Generator
 */
@Entity
@Table(name = "StokProdukDetail_T")
public class StokProdukDetail extends BaseTransaction {
	
	@Caption(value="Harga Discount")
	@Column(name = "HargaDiscount", nullable = true )
	private Double hargaDiscount;

	@Caption(value="Harga Netto1")
	@Column(name = "HargaNetto1", nullable = true )
	private Double hargaNetto1;

	

	@Caption(value="Harga Netto2")
	@Column(name = "HargaNetto2", nullable = true )
	private Double hargaNetto2;


	@ManyToOne
	@JoinColumn(name = "ObjectAsalProdukFk")
	@NotNull(message="Object Asal Produk Harus Diisi")
	@Caption(value="Object Asal Produk")
	private AsalProduk asalProduk;


	@Column(name = "ObjectAsalProdukFk", insertable=false,updatable=false)
	private Integer asalProdukId;

	

	@ManyToOne
	@JoinColumn(name = "ObjectLokasiFk")
	@Caption(value="Object Lokasi")
	private Lokasi lokasi;


	@Column(name = "ObjectLokasiFk", insertable=false,updatable=false)
	private Integer lokasiId;

	@ManyToOne
	@JoinColumn(name = "ObjectProdukFk")
	@NotNull(message="Object Produk Harus Diisi")
	@Caption(value="Object Produk")
	private Produk produk;

	@Column(name = "ObjectProdukFk", insertable=false,updatable=false)
	private Integer produkId;

	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@NotNull(message="Object Ruangan Harus Diisi")
	@Caption(value="Object Ruangan")
	private Ruangan ruangan;

	@Column(name = "ObjectRuanganFk", insertable=false,updatable=false)
	private Integer ruanganId;

	@ManyToOne
	@JoinColumn(name = "NoStrukTerimaFk")
	@NotNull(message="No Struk Terima Harus Diisi")
	@Caption(value="No Struk Terima")
	private StrukPelayanan strukPelayanan;


	@Column(name = "NoStrukTerimaFk", insertable=false,updatable=false)
	private String strukPelayananId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectStrukPelayananDetail")
	@Caption(value="strukPelayanan")
	private StrukPelayananDetail strukPelayananDetail;

	@Column(name = "ObjectStrukPelayananDetail", insertable=false,updatable=false)
	private String strukPelayananDetailId;

	@ManyToOne
	@JoinColumn(name = "NoVerifikasiFk")
	@Caption(value="No Verifikasi")
	private StrukVerifikasi strukVerifikasi;


	@Column(name = "NoVerifikasiFk", insertable=false,updatable=false)
	private String strukVerifikasiId;

	@Caption(value="Persen Discount")
	@Column(name = "PersenDiscount", nullable = true )
	private Double persenDiscount;


	@Caption(value="Qty Produk")
	@Column(name = "QtyProduk", nullable = false )
	private Double qtyProduk;


	@Caption(value="Qty Produk On Hand")
	@Column(name = "QtyProdukOnHand", nullable = false )
	private Double qtyProdukOnHand;

	

	@Caption(value="Qty Produk Out Ext")
	@Column(name = "QtyProdukOutExt", nullable = false )
	private Double qtyProdukOutExt;


	@Caption(value="Qty Produk Out Int")
	@Column(name = "QtyProdukOutInt", nullable = false )
	private Double qtyProdukOutInt;
	
	@Caption(value="No Batch")
	@Column(name = "NoBatch", nullable = true , length = 50)
	private String nobatch;
	
	@Caption(value="No Kantong Kemasan")
	@Column(name = "NoKantongKemasan", nullable = true , length = 15)
	private String nokantongkemasan;
	
	@Caption(value="Tanggal Kadaluarsa")
	@Column(name = "TglKadaluarsa", nullable = true )
	private Date tglkadaluarsa;

	@Caption(value="Tanggal Pelayanan")
	@Column(name = "TglPelayanan", nullable = true )
	private Date tglpelayanan;

	@Caption(value="Tanggal Produksi")
	@Column(name = "TglProduksi", nullable = true )
	private Date tglproduksi;


	public Double getHargaDiscount() {
		return hargaDiscount;
	}


	public void setHargaDiscount(Double hargaDiscount) {
		this.hargaDiscount = hargaDiscount;
	}


	public Double getHargaNetto1() {
		return hargaNetto1;
	}


	public void setHargaNetto1(Double hargaNetto1) {
		this.hargaNetto1 = hargaNetto1;
	}


	public Double getHargaNetto2() {
		return hargaNetto2;
	}


	public void setHargaNetto2(Double hargaNetto2) {
		this.hargaNetto2 = hargaNetto2;
	}


	public AsalProduk getAsalProduk() {
		return asalProduk;
	}


	public void setAsalProduk(AsalProduk asalProduk) {
		this.asalProduk = asalProduk;
	}


	public Integer getAsalProdukId() {
		return asalProdukId;
	}


	public void setAsalProdukId(Integer asalProdukId) {
		this.asalProdukId = asalProdukId;
	}


	public Lokasi getLokasi() {
		return lokasi;
	}


	public void setLokasi(Lokasi lokasi) {
		this.lokasi = lokasi;
	}


	public Integer getLokasiId() {
		return lokasiId;
	}


	public void setLokasiId(Integer lokasiId) {
		this.lokasiId = lokasiId;
	}


	public Produk getProduk() {
		return produk;
	}


	public void setProduk(Produk produk) {
		this.produk = produk;
	}


	public Integer getProdukId() {
		return produkId;
	}


	public void setProdukId(Integer produkId) {
		this.produkId = produkId;
	}


	public Ruangan getRuangan() {
		return ruangan;
	}


	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}


	public Integer getRuanganId() {
		return ruanganId;
	}


	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}


	public StrukPelayanan getStrukPelayanan() {
		return strukPelayanan;
	}


	public void setStrukPelayanan(StrukPelayanan strukPelayanan) {
		this.strukPelayanan = strukPelayanan;
	}


	public String getStrukPelayananId() {
		return strukPelayananId;
	}


	public void setStrukPelayananId(String strukPelayananId) {
		this.strukPelayananId = strukPelayananId;
	}


	public StrukVerifikasi getStrukVerifikasi() {
		return strukVerifikasi;
	}


	public void setStrukVerifikasi(StrukVerifikasi strukVerifikasi) {
		this.strukVerifikasi = strukVerifikasi;
	}



	public String getStrukVerifikasiId() {
		return strukVerifikasiId;
	}


	public void setStrukVerifikasiId(String strukVerifikasiId) {
		this.strukVerifikasiId = strukVerifikasiId;
	}


	public Double getPersenDiscount() {
		return persenDiscount;
	}


	public void setPersenDiscount(Double persenDiscount) {
		this.persenDiscount = persenDiscount;
	}


	public Double getQtyProduk() {
		return qtyProduk;
	}


	public void setQtyProduk(Double qtyProduk) {
		this.qtyProduk = qtyProduk;
	}


	public Double getQtyProdukOnHand() {
		return qtyProdukOnHand;
	}


	public void setQtyProdukOnHand(Double qtyProdukOnHand) {
		this.qtyProdukOnHand = qtyProdukOnHand;
	}


	public Double getQtyProdukOutExt() {
		return qtyProdukOutExt;
	}


	public void setQtyProdukOutExt(Double qtyProdukOutExt) {
		this.qtyProdukOutExt = qtyProdukOutExt;
	}


	public Double getQtyProdukOutInt() {
		return qtyProdukOutInt;
	}


	public void setQtyProdukOutInt(Double qtyProdukOutInt) {
		this.qtyProdukOutInt = qtyProdukOutInt;
	}


	public String getNobatch() {
		return nobatch;
	}


	public void setNobatch(String nobatch) {
		this.nobatch = nobatch;
	}


	public String getNokantongkemasan() {
		return nokantongkemasan;
	}


	public void setNokantongkemasan(String nokantongkemasan) {
		this.nokantongkemasan = nokantongkemasan;
	}


	public Date getTglkadaluarsa() {
		return tglkadaluarsa;
	}


	public void setTglkadaluarsa(Date tglkadaluarsa) {
		this.tglkadaluarsa = tglkadaluarsa;
	}


	public Date getTglpelayanan() {
		return tglpelayanan;
	}


	public void setTglpelayanan(Date tglpelayanan) {
		this.tglpelayanan = tglpelayanan;
	}


	public Date getTglproduksi() {
		return tglproduksi;
	}


	public void setTglproduksi(Date tglproduksi) {
		this.tglproduksi = tglproduksi;
	}


	public StrukPelayananDetail getStrukPelayananDetail() {
		return strukPelayananDetail;
	}


	public void setStrukPelayananDetail(StrukPelayananDetail strukPelayananDetail) {
		this.strukPelayananDetail = strukPelayananDetail;
	}


	public String getStrukPelayananDetailId() {
		return strukPelayananDetailId;
	}


	public void setStrukPelayananDetailId(String strukPelayananDetailId) {
		this.strukPelayananDetailId = strukPelayananDetailId;
	}
	
	



}

